View Issue Details

IDProjectCategoryView StatusLast Update
0028385LazarusLCLpublic2015-10-15 09:58
ReporterZeljan RikaloAssigned ToZeljan Rikalo 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.5 (SVN)Product Build 
Target Version1.4.2Fixed in Version1.4.2 
Summary0028385: TMaskEdit left arrow does not move cursor if selection exists
DescriptionIf TMaskEdit text is selected (eg by autoselect when tab is pressed) when it's focused , it does not react on left arrow key.
It should select first char.
Reproduced on Qt and Gtk2.
TagsNo tags attached.
Fixed in Revision49512
LazTarget-
Widgetset
Attached Files

Activities

Zeljan Rikalo

2015-07-09 10:25

developer   ~0084881

Maybe it should be merged for 1.4.2

Bart Broersma

2015-07-09 11:14

developer   ~0084885

> Maybe it should be merged for 1.4.2
I think so.

Zeljan Rikalo

2015-07-09 18:28

developer   ~0084891

@Bart there was also fix for an old bug and afair it's not merged. Should I fill that one for merging too http://bugs.freepascal.org/view.php?id=17942 ?

Bart Broersma

2015-07-10 00:00

developer   ~0084893

Yes, bug fixes should go to 1.4 branch (as long as it is not a fix to a new feature that was introduced in trunk).

Issue History

Date Modified Username Field Change
2015-07-09 10:23 Zeljan Rikalo New Issue
2015-07-09 10:23 Zeljan Rikalo Assigned To => Zeljan Rikalo
2015-07-09 10:23 Zeljan Rikalo Status new => assigned
2015-07-09 10:25 Zeljan Rikalo Fixed in Revision => 49512
2015-07-09 10:25 Zeljan Rikalo Note Added: 0084881
2015-07-09 10:25 Zeljan Rikalo Status assigned => resolved
2015-07-09 10:25 Zeljan Rikalo Resolution open => fixed
2015-07-09 11:14 Bart Broersma Note Added: 0084885
2015-07-09 18:28 Zeljan Rikalo Note Added: 0084891
2015-07-10 00:00 Bart Broersma Note Added: 0084893
2015-07-10 09:51 Zeljan Rikalo Product Version => 1.5 (SVN)
2015-07-10 09:51 Zeljan Rikalo Fixed in Version => 1.4.2
2015-07-10 09:51 Zeljan Rikalo Target Version => 1.4.2
2015-10-15 09:58 Zeljan Rikalo Status resolved => closed